---
title: "Utf8Pair"
---
<!-- DO NOT EDIT! This file was auto-generated by crates/build/re_types_builder/src/codegen/docs/website.rs -->

Stores a tuple of UTF-8 strings.

## Fields
#### `first`
Type: non-null [`Utf8`](../datatypes/utf8.md)

The first string.

#### `second`
Type: non-null [`Utf8`](../datatypes/utf8.md)

The second string.


## Arrow datatype
```
Struct(
    "first": non-null Utf8
    "second": non-null Utf8
)
```

## API reference links
 * 🌊 [C++ API docs for `Utf8Pair`](https://ref.rerun.io/docs/cpp/stable/structrerun_1_1datatypes_1_1Utf8Pair.html)
 * 🐍 [Python API docs for `Utf8Pair`](https://ref.rerun.io/docs/python/stable/common/datatypes#rerun.datatypes.Utf8Pair)
 * 🦀 [Rust API docs for `Utf8Pair`](https://docs.rs/rerun/latest/rerun/datatypes/struct.Utf8Pair.html)


## Used by

* [`GraphEdge`](../components/graph_edge.md)
* [`KeyValuePairs`](../components/key_value_pairs.md)
